Page MenuHomePhabricator

Convert text cluster to Varnish 4
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/puppet : productioncache_text: route esams back to eqiad
operations/puppet : productioncache_text: route codfw back to eqiad
operations/puppet : productioncache_text: upgrade eqiad to Varnish 4
operations/puppet : productioncache_text: upgrade esams to Varnish 4
operations/puppet : productioncache_text esams: route to codfw
operations/puppet : productionText VCL: fixup beresp.Cookie for Vary before hfp
operations/puppet : productionVCL: add backend_response_early hooks
operations/puppet : productionText VCL: avoid creating empty Cookie header
operations/puppet : productioncache_text: upgrade ulsfo to Varnish 4
operations/puppet : productioncache_text: route ulsfo to codfw
operations/puppet : productioncache_text varnishtest: proper caching of mangled requests
operations/puppet : productioncache_text: switch to file storage backend on Varnish 4
operations/puppet : productionText VCL: Fix cookie handling for Varnish4
operations/puppet : productioncache_text: use file storage
operations/puppet : productioncache_text: upgrade codfw to Varnish 4
operations/puppet : productioncache_text: route codfw straight to applayer
operations/puppet : productioncache_text: route around codfw in cache::route_table
operations/puppet : productioncache_text varnishtest: beacon and CP
operations/puppet : productioncache_text varnishtest: set X-Carrier based on XCIP
operations/puppet : productioncache_text varnishtest: insecure POST forbidden
operations/puppet : productioncache_text varnishtest: frontend response headers
operations/puppet : productioncache_text varnishtest: set X-Carrier based on XCIP
operations/puppet : productioncp1008: set varnish::dynamic_directors to false
operations/puppet : productionPoint pinkunicorn's varnish-fe to its own varnish-be
operations/puppet : productionUpgrade cp1008 to Varnish 4
operations/puppet : productionText VCL forward-port to Varnish 4
operations/puppet : productioncache_text frontend VCL: backend_fetch vs misspass
operations/puppet : productioncache_text backend VCL: use bereq in misspass_mangle

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
ema moved this task from Triage to Varnish v4 on the Traffic board.Sep 30 2016, 2:45 PM

Change 314715 had a related patch set uploaded (by Ema):
cache_text backend VCL: use bereq in misspass_mangle

https://gerrit.wikimedia.org/r/314715

Change 314716 had a related patch set uploaded (by Ema):
WIP: Text VCL forward-port to Varnish 4

https://gerrit.wikimedia.org/r/314716

Change 314715 merged by BBlack:
cache_text backend VCL: use bereq in misspass_mangle

https://gerrit.wikimedia.org/r/314715

Change 315219 had a related patch set uploaded (by Ema):
cache_text frontend VCL: backend_fetch vs misspass

https://gerrit.wikimedia.org/r/315219

Change 315219 merged by Ema:
cache_text frontend VCL: backend_fetch vs misspass

https://gerrit.wikimedia.org/r/315219

Change 314716 merged by Ema:
Text VCL forward-port to Varnish 4

https://gerrit.wikimedia.org/r/314716

Change 315662 had a related patch set uploaded (by Ema):
Upgrade cp1008 to Varnish 4

https://gerrit.wikimedia.org/r/315662

Change 315662 merged by Ema:
Upgrade cp1008 to Varnish 4

https://gerrit.wikimedia.org/r/315662

Change 315920 had a related patch set uploaded (by Ema):
Point pinkunicorn's varnish-fe to its own varnish-be

https://gerrit.wikimedia.org/r/315920

Change 315920 merged by Ema:
Point pinkunicorn's varnish-fe to its own varnish-be

https://gerrit.wikimedia.org/r/315920

Change 315944 had a related patch set uploaded (by Ema):
cp1008: set varnish::dynamic_directors to false

https://gerrit.wikimedia.org/r/315944

Change 315944 merged by Ema:
cp1008: set varnish::dynamic_directors to false

https://gerrit.wikimedia.org/r/315944

Change 318276 had a related patch set uploaded (by Ema):
cache_text varnishtest: frontend response headers

https://gerrit.wikimedia.org/r/318276

Change 318287 had a related patch set uploaded (by Ema):
cache_text varnishtest: insecure POST forbidden

https://gerrit.wikimedia.org/r/318287

Change 318291 had a related patch set uploaded (by Ema):
cache_text varnishtest: set X-Carrier based on XCIP

https://gerrit.wikimedia.org/r/318291

Change 318291 abandoned by Ema:
cache_text varnishtest: set X-Carrier based on XCIP

https://gerrit.wikimedia.org/r/318291

Change 318276 merged by Ema:
cache_text varnishtest: frontend response headers

https://gerrit.wikimedia.org/r/318276

Change 318287 merged by Ema:
cache_text varnishtest: insecure POST forbidden

https://gerrit.wikimedia.org/r/318287

Change 318519 had a related patch set uploaded (by Ema):
cache_text varnishtest: set X-Carrier based on XCIP

https://gerrit.wikimedia.org/r/318519

Change 318519 merged by Ema:
cache_text varnishtest: set X-Carrier based on XCIP

https://gerrit.wikimedia.org/r/318519

Change 318946 had a related patch set uploaded (by Ema):
cache_text varnishtest: beacon and CP

https://gerrit.wikimedia.org/r/318946

Change 318946 merged by Ema:
cache_text varnishtest: beacon and CP

https://gerrit.wikimedia.org/r/318946

ema added a comment.Nov 2 2016, 3:44 PM

While upgrading cache_upload (T131502) we've noticed issues when varnish 4 fetches from varnish 3. To avoid those problems with the cache_text transition to v4 we're planning to:

  • Make ulsfo fetch from eqiad instead of codfw
  • Make codfw fetch straight from the applayer instead of eqiad
  • Upgrade cache_text codfw to varnish 4

At that point we'll be able to observe closely codfw's behavior (v4-only).

Assuming everything goes fine up to this point, we can start testing the behavior of v4<->v4 by routing ulsfo to codfw and upgrading ulsfo to v4.

Change 319345 had a related patch set uploaded (by Ema):
cache_text: route around codfw in cache::route_table

https://gerrit.wikimedia.org/r/319345

Change 319347 had a related patch set uploaded (by Ema):
cache_text: route codfw straight to applayer

https://gerrit.wikimedia.org/r/319347

Change 319351 had a related patch set uploaded (by Ema):
cache_text: upload codfw to Varnish 4

https://gerrit.wikimedia.org/r/319351

Change 319345 merged by Ema:
cache_text: route around codfw in cache::route_table

https://gerrit.wikimedia.org/r/319345

Change 319347 merged by Ema:
cache_text: route codfw straight to applayer

https://gerrit.wikimedia.org/r/319347

Change 319351 merged by Ema:
cache_text: upgrade codfw to Varnish 4

https://gerrit.wikimedia.org/r/319351

Mentioned in SAL (#wikimedia-operations) [2016-11-03T07:42:10Z] <ema> upgrading cp2023 (text-codfw) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-03T08:01:21Z] <ema> upgrading cp2019 (text-codfw) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-03T08:47:57Z] <ema> upgrading cp2007 (text-codfw) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-03T09:24:06Z] <ema> upgrading cp2016 (text-codfw) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-03T11:16:40Z] <ema> depooling cp2016, cp2007, cp2019, cp2023: not caching properly (T131503)

Change 319561 had a related patch set uploaded (by BBlack):
Text VCL: Fix cookie handling for Varnish4

https://gerrit.wikimedia.org/r/319561

Change 319609 had a related patch set uploaded (by Ema):
cache_text: switch to file storage backend on Varnish 4

https://gerrit.wikimedia.org/r/319609

Change 319561 merged by BBlack:
Text VCL: Fix cookie handling for Varnish4

https://gerrit.wikimedia.org/r/319561

Change 319626 had a related patch set uploaded (by BBlack):
cache_text: use file storage

https://gerrit.wikimedia.org/r/319626

Change 319626 abandoned by BBlack:
cache_text: use file storage

https://gerrit.wikimedia.org/r/319626

Change 319609 merged by BBlack:
cache_text: switch to file storage backend on Varnish 4

https://gerrit.wikimedia.org/r/319609

Mentioned in SAL (#wikimedia-operations) [2016-11-03T18:26:45Z] <ema> repooling cp2016 (T131503)

Mentioned in SAL (#wikimedia-operations) [2016-11-03T20:10:16Z] <bblack> codfw cache_text - all pooled nodes are v4 (2x still depooled-but-upgraded) - T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-03T20:26:27Z] <bblack> codfw cache_text - all nodes v4 and pooled - T131503

Change 319823 had a related patch set uploaded (by Ema):
cache_text: route ulsfo to codfw

https://gerrit.wikimedia.org/r/319823

Change 319824 had a related patch set uploaded (by Ema):
cache_text: upgrade ulsfo to Varnish 4

https://gerrit.wikimedia.org/r/319824

Change 319829 had a related patch set uploaded (by Ema):
cache_text varnishtest: proper caching of mangled URLs

https://gerrit.wikimedia.org/r/319829

Change 319829 merged by Ema:
cache_text varnishtest: proper caching of mangled requests

https://gerrit.wikimedia.org/r/319829

Change 319823 merged by Ema:
cache_text: route ulsfo to codfw

https://gerrit.wikimedia.org/r/319823

Change 319824 merged by Ema:
cache_text: upgrade ulsfo to Varnish 4

https://gerrit.wikimedia.org/r/319824

Mentioned in SAL (#wikimedia-operations) [2016-11-04T14:14:26Z] <ema> upgrading cp4008 (text-ulsfo) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-04T14:49:41Z] <ema> upgrading cp4009 (text-ulsfo) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-04T15:37:16Z] <ema> upgrading cp4010 (text-ulsfo) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-04T16:00:59Z] <ema> upgrading cp4016 (text-ulsfo) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-04T16:22:46Z] <ema> upgrading cp4017 (text-ulsfo) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-04T16:38:30Z] <ema> upgrading cp4018 (text-ulsfo) to varnish 4 -- T131503

Change 320180 had a related patch set uploaded (by Ema):
cache_text esams: route to codfw

https://gerrit.wikimedia.org/r/320180

Change 320181 had a related patch set uploaded (by Ema):
cache_text: upgrade esams to Varnish 4

https://gerrit.wikimedia.org/r/320181

Change 320258 had a related patch set uploaded (by BBlack):
VCL: add backend_response_early hooks

https://gerrit.wikimedia.org/r/320258

Change 320259 had a related patch set uploaded (by BBlack):
Text VCL: fixup beresp.Cookie for Vary before hfp

https://gerrit.wikimedia.org/r/320259

Change 320260 had a related patch set uploaded (by BBlack):
Text VCL: avoid creating empty Cookie header

https://gerrit.wikimedia.org/r/320260

Change 320258 merged by BBlack:
VCL: add backend_response_early hooks

https://gerrit.wikimedia.org/r/320258

Change 320259 merged by BBlack:
Text VCL: fixup beresp.Cookie for Vary before hfp

https://gerrit.wikimedia.org/r/320259

Change 320260 merged by BBlack:
Text VCL: avoid creating empty Cookie header

https://gerrit.wikimedia.org/r/320260

Change 320180 merged by Ema:
cache_text esams: route to codfw

https://gerrit.wikimedia.org/r/320180

Change 320181 merged by Ema:
cache_text: upgrade esams to Varnish 4

https://gerrit.wikimedia.org/r/320181

Mentioned in SAL (#wikimedia-operations) [2016-11-09T14:11:15Z] <ema> upgrading cp3030 (text-esams) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-09T14:32:22Z] <ema> upgrading cp3031 (text-esams) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-09T14:58:51Z] <ema> upgrading cp3032 (text-esams) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-09T15:11:15Z] <ema> upgrading cp3033 (text-esams) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-09T15:23:16Z] <ema> upgrading cp3040 (text-esams) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-09T15:34:11Z] <ema> upgrading cp3041 (text-esams) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-09T15:58:22Z] <ema> upgrading cp3042 (text-esams) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-09T16:18:05Z] <ema> upgrading cp3043 (text-esams) to varnish 4 -- T131503

Change 320745 had a related patch set uploaded (by Ema):
cache_text: upgrade eqiad to Varnish 4

https://gerrit.wikimedia.org/r/320745

Change 320745 merged by Ema:
cache_text: upgrade eqiad to Varnish 4

https://gerrit.wikimedia.org/r/320745

Mentioned in SAL (#wikimedia-operations) [2016-11-10T09:53:45Z] <ema> upgrading cp1053 (text-eqiad) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-10T10:29:14Z] <ema> upgrading cp1054 (text-eqiad) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-10T10:43:30Z] <ema> upgrading cp1055 (text-eqiad) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-10T11:08:19Z] <ema> upgrading cp1065 (text-eqiad) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-10T11:25:58Z] <ema> upgrading cp1066 (text-eqiad) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-10T11:45:53Z] <ema> upgrading cp1067 (text-eqiad) to varnish 4 -- T131503

Mentioned in SAL (#wikimedia-operations) [2016-11-10T12:01:53Z] <ema> upgrading cp1068 (text-eqiad) to varnish 4 -- T131503

Change 320774 had a related patch set uploaded (by Ema):
cache_text: route codfw back to eqiad

https://gerrit.wikimedia.org/r/320774

Change 320774 merged by Ema:
cache_text: route codfw back to eqiad

https://gerrit.wikimedia.org/r/320774

Change 320778 had a related patch set uploaded (by Ema):
cache_text: route esams back to eqiad

https://gerrit.wikimedia.org/r/320778

Change 320778 merged by Ema:
cache_text: route esams back to eqiad

https://gerrit.wikimedia.org/r/320778

ema closed this task as Resolved.Nov 24 2016, 3:06 PM
ema claimed this task.